package com.yd.api.practitioner.vo.rank;

import java.io.Serializable;
public class AclCustomerFortuneStatistics implements Serializable {
    private Integer rank;
    private Long customerId;
    private Long practitionerId;
    private String name;
    private Long subordinateSystemId;//所属体系id
    private String subordinateSystemName;//所属体系名称
    private Long practitionerLevelId;
    private Integer count;
    private Double fyp;
    private Double fyc;
    private Double targetFyc; 	//目标FYP
    private Double targetFyp; 	//目标FYC
    private Integer targetCount;//目标件数

    public Integer getRank() {
        return rank;
    }

    public void setRank(Integer rank) {
        this.rank = rank;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Long getPractitionerId() {
        return practitionerId;
    }

    public void setPractitionerId(Long practitionerId) {
        this.practitionerId = practitionerId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getSubordinateSystemId() {
        return subordinateSystemId;
    }

    public void setSubordinateSystemId(Long subordinateSystemId) {
        this.subordinateSystemId = subordinateSystemId;
    }

    public String getSubordinateSystemName() {
        return subordinateSystemName;
    }

    public void setSubordinateSystemName(String subordinateSystemName) {
        this.subordinateSystemName = subordinateSystemName;
    }

    public Long getPractitionerLevelId() {
        return practitionerLevelId;
    }

    public void setPractitionerLevelId(Long practitionerLevelId) {
        this.practitionerLevelId = practitionerLevelId;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Double getFyp() {
        return fyp;
    }

    public void setFyp(Double fyp) {
        this.fyp = fyp;
    }

    public Double getFyc() {
        return fyc;
    }

    public void setFyc(Double fyc) {
        this.fyc = fyc;
    }
    
	public Double getTargetFyc() {
		return targetFyc;
	}

	public void setTargetFyc(Double targetFyc) {
		this.targetFyc = targetFyc;
	}
	
	public Double getTargetFyp() {
		return targetFyp;
	}

	public void setTargetFyp(Double targetFyp) {
		this.targetFyp = targetFyp;
	}

	public Integer getTargetCount() {
		return targetCount;
	}

	public void setTargetCount(Integer targetCount) {
		this.targetCount = targetCount;
	}

	private static final long serialVersionUID = 1L;
}
